#ifndef FCSOLVER_H
#define FCSOLVER_H

#include <stdio.h>
struct vector;

void solve_fcouplprob ();

void nonlinear_solver_coupl (long lcid);

void newton_raphson_coupl (long lcid);
void newton_raphson_coupl_new (long lcid);

void compute_vector_sel_norms(double *c, vector &norms);
long check_tolerance(vector &vnorfa, vector &vnorfb, vector &tol, vector &aterr);
void vector_assemb (double *c,double *m,double *t);
void vector_decomp (double *c,double *m,double *t);
void print_log();

#endif
